Centos 8 - ошибка при обновлении

Ответить
Аватара пользователя
Crazy Demon
Сообщения: 28
Зарегистрирован: Вт май 05, 2020 4:16 am
Откуда: Blagoveshensk.ru
Контактная информация:

Centos 8 - ошибка при обновлении

Сообщение Crazy Demon » Вт окт 11, 2022 11:56 pm

Здравствуйте.
Давно не ставил обновления, запустил
yum update
и получил вот это...
------------------------
root@frendly:~# yum update
CentOS Linux 8 - AppStream
CentOS Linux 8 - BaseOS
CentOS Linux 8 - Extras
CentOS Linux 8 - PowerTools
Brainy v8 Base
Brainy v8 APP
Brainy v8 SQL
Brainy v8 PHP
Brainy v8 Brainy
Brainy v8 python
Brainy v8 python
Zabbix Official Repository - x86_64
Zabbix Official Repository non-supported - x86_64
Zabbix Official Repository (Agent2 Plugins) - x86_64
Ошибка:
Проблема: пакету php74w-v8js-2.1.2-1.brainy.el8.7.4.x86_64 требуется libnode.so.83()(64bit), но ни один из предоставляющих пакетов не может быть установлен
- невозможно установить nodejs-libs-1:16.15.0-3.2.el8.x86_64 совместно с nodejs-libs-1:14.15.0-2.el8.x86_64
- невозможно установить nodejs-libs-1:14.15.0-2.el8.x86_64 совместно с nodejs-libs-1:16.15.0-3.2.el8.x86_64
- не удалось установить лучший вариант обновления для пакета nodejs-libs-1:14.15.0-2.el8.x86_64
- проблема с установленным пакетом php74w-v8js-2.1.2-1.brainy.el8.7.4.x86_64
(попробуйте добавить в командную строку «--allowerasing» для замены конфликтующих пакетов или «--skip-broken» для пропуска удаляемых пакетов или «--nobest», чтобы использовать не только наилучшие варианты пакетов)

Как пофиксить?

zhvania
Сообщения: 11
Зарегистрирован: Вт май 26, 2020 6:21 pm

Re: Centos 8 - ошибка при обновлении

Сообщение zhvania » Вт фев 14, 2023 11:57 am

Смог исправить проблему? столкнулся с такой-же

Аватара пользователя
sbury
Сообщения: 1387
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Centos 8 - ошибка при обновлении

Сообщение sbury » Вт фев 14, 2023 1:00 pm

покажите вывод
yum list installed | grep nodejs

Аватара пользователя
sbury
Сообщения: 1387
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Centos 8 - ошибка при обновлении

Сообщение sbury » Чт фев 16, 2023 11:36 am

попробуйте вначале сделать
yum remove php74w-v8js

zhvania
Сообщения: 11
Зарегистрирован: Вт май 26, 2020 6:21 pm

Re: Centos 8 - ошибка при обновлении

Сообщение zhvania » Пт фев 17, 2023 12:02 pm

> yum list installed | grep nodejs

Код: Выделить всё

nodejs-libs.x86_64                          1:14.15.0-2.el8                          @8_app
> yum remove php74w-v8js

После удаления php74w-v8js в установленных всё ещё есть nodejs-libs:

Код: Выделить всё

Error:
 Problem: package php72w-v8js-2.1.2-1.brainy.el8.7.2.x86_64 requires libnode.so.83()(64bit), but none of the providers can be installed
  - cannot install both nodejs-libs-1:16.15.0-3.2.el8.x86_64 and nodejs-libs-1:14.15.0-2.el8.x86_64
  - cannot install both nodejs-libs-1:14.15.0-2.el8.x86_64 and nodejs-libs-1:16.15.0-3.2.el8.x86_64
  - cannot install the best update candidate for package nodejs-libs-1:14.15.0-2.el8.x86_64
  - problem with installed package php72w-v8js-2.1.2-1.brainy.el8.7.2.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
Последний раз редактировалось zhvania Пт фев 17, 2023 12:28 pm, всего редактировалось 1 раз.

Аватара пользователя
sbury
Сообщения: 1387
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Centos 8 - ошибка при обновлении

Сообщение sbury » Пт фев 17, 2023 12:16 pm

yum remove php74w-v8js

zhvania
Сообщения: 11
Зарегистрирован: Вт май 26, 2020 6:21 pm

Re: Centos 8 - ошибка при обновлении

Сообщение zhvania » Вт фев 21, 2023 10:30 am

Спасибо за подсказки.

Надо было удалить несколько версий

Код: Выделить всё

yum remove php7*w-v8js

Аватара пользователя
sbury
Сообщения: 1387
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Centos 8 - ошибка при обновлении

Сообщение sbury » Ср мар 08, 2023 11:54 am

для CentOS 8.x AlmaLinux 8.x добавлены новые версии модулей
- libpdf (php 7.x/8.x)
- v8js для nodejs 16.x (php 7.x, 8.x)

Ответить